Name:		qtiplot
Summary:	Data Analysis and Scientific Plotting Software
Version:	0.9.8.2
Release:	1%{?dist}
URL:		http://soft.proindependent.com/qtiplot.html
License:	GPLv2+
Group:		Applications/Engineering
Source0:	http://download.berlios.de/%{name}/%{name}-%{version}.tar.bz2
Source1:	http://soft.proindependent.com/misc/colormaps.tgz
Source2:	%{name}.desktop
Source3:	%{name}.xml
# Fix manual building
Patch0:		%{name}-0.9.8-manual.patch
# Disable choosing of help folder at runtime
Patch1:		%{name}-0.9.8-manualpath.patch
BuildRequires:	qt-assistant-adp-devel
BuildRequires:	muParser-devel >= 1.32
BuildRequires:	gsl-devel
# Use local copy till upstream catches up
#BuildRequires:	qwt-devel
#BuildRequires:	qwtplot3d-qt4-devel
BuildRequires:	QTeXEngine-devel
BuildRequires:	PyQt4-devel 
# sip-devel comes with PyQt4-devel
BuildRequires:	libpng-devel
BuildRequires:	EmfEngine-devel
BuildRequires:	quazip-devel
BuildRequires:	liborigin2-devel >= 06042009-4.20100629svn
BuildRequires:	docbook-utils
BuildRequires:	docbook-style-xsl
BuildRequires:	dblatex
BuildRequires:	desktop-file-utils
BuildRequires:	dos2unix
Requires:	muParser%{?_isa} >= 1.32
Requires:	liborigin2%{?_isa} >= 06042009-4.20100629svn
Requires:	hicolor-icon-theme
%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}

%description
Scientists often need to use data analysis and plotting software. For Windows
systems there is a well known and widely used software called Origin, which is
not free, of course. The purpose of this project is to develop a free (open 
source), platform independent alternative to Origin. QtiPlot can already
successfully replace Origin in students computer classes and is being used in
universities and reseach institutes all over the world. QtiPlot is being
actively improved, all your suggestions to our "wish to" list and all your
contributions are most welcome!

%package doc
Summary:		Documentation for %{name}
Group:			Documentation
License:		GFDL
Requires:		%{name} = %{version}-%{release}
BuildArch:		noarch 

%description doc
The %{name}-doc package contains documentation for the %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# Fix default path for fitPlugins
sed -i 's\/usr/lib/%{name}/plugins\%{_libdir}/%{name}/plugins\g' \
	%{name}/src/core/ApplicationWindow.cpp

# Remove redundant variables
sed -i '/QTI_ROOT\/3rdparty/d' build.conf.example
sed -i '/manual.path = /d' %{name}/%{name}.pro
sed -i '/documentation.path = /d' %{name}/%{name}.pro
sed -i '/pythonconfig.path = /d' %{name}/%{name}.pro
sed -i '/3rdparty\/QTeXEngine/d' %{name}/%{name}.pro
sed -i '/\/libEMF/d' %{name}/%{name}.pro
sed -i '/3rdparty\/liborigin/d' %{name}/%{name}.pro
sed -i '/3rdparty\/liborigin/d' %{name}/src/origin/origin.pri

# Remove bundled libs
rm -r 3rdparty/liborigin 3rdparty/QTeXEngine
rm -f 3rdparty/zlib/*.h

# Fix docbook path to for fedora < 14
%if 0%{?fedora} > 13 
%else
sed -i "s/xml-dtd-4\.3/xml-dtd-4\.3-`rpm -q docbook-dtds|sed "s/^[^0-9]*//;s/\.noarch//;\
s/\./\\\./g"`/" manual/docbook-en/index.docbook
%endif

# Remove DOS line endings
find -name '*.h' -exec dos2unix -k {} ";"
find -name '*.hh' -exec dos2unix -k {} ";"
find -name '*.hpp' -exec dos2unix -k {} ";"
find -name '*.c' -exec dos2unix -k {} ";"
find -name '*.cc' -exec dos2unix -k {} ";"
find -name '*.cpp' -exec dos2unix -k {} ";"
#dos2unix gpl_licence.txt
sed -i 's/\r//' gpl_licence.txt
dos2unix -k %{name}/*.txt
dos2unix -k %{name}/*.py
dos2unix -k manual/html/%{name}*

# Remove exec permission
find -type d -exec chmod 0755 {} ";"
find -type f -exec chmod 0644 {} ";"

%build
cp -p build.conf.example build.conf
export PATH=%{_qt4_bindir}:$PATH
%{_qt4_qmake} MUPARSER_LIBS=-lmuparser \
	GSL_INCLUDEPATH=%{_includedir}/gsl GSL_LIBS="-lgsl -lgslcblas" \
	BOOST_LIBS="-lz -lQTeXEngine -lorigin2" \
	QUAZIP_INCLUDEPATH=%{_includedir}/quazip QUAZIP_LIBS=-lquazip \
	LIBPNG_LIBS=-lpng \
	EMF_ENGINE_LIBS=-lEmfEngine \
	QWT_INCLUDEPATH=../3rdparty/qwt/src QWT_LIBS=../3rdparty/qwt/lib/libqwt.a \
	QWT3D_INCLUDEPATH=../3rdparty/qwtplot3d/include QWT3D_LIBS=../3rdparty/qwtplot3d/lib/libqwtplot3d.a \
	CONFIG+=" CustomInstall" \
	%if %{_lib}==lib64	
	libsuff=64 \
	%endif
	INCLUDEPATH+=" %{_includedir}/minizip %{_includedir}/liborigin2 %{_includedir}/libEMF" \
	manual.path=%{_docdir}/%{name}-%{version}/manual documentation.path=%{_docdir}/%{name}-%{version} \
	pythonconfig.path=%{_datadir}/%{name}

pushd %{name}
lupdate-qt4 -verbose %{name}.pro
lrelease-qt4 -verbose %{name}.pro
popd
make %{?_smp_mflags}

%install
make install INSTALL="install -p" INSTALL_ROOT=%{buildroot}

# Remove local copy qwt/qwtplot3d
rm -r %{buildroot}%{_prefix}/local
rm -r %{buildroot}%{_builddir}

# Remove symlinks
find %{buildroot}%{_libdir}/%{name} -type l -exec rm {} ";"

# Fix wrong manual path(important!!!)
mv %{buildroot}%{_docdir}/%{name}-%{version}/manual/html/* \
	%{buildroot}%{_docdir}/%{name}-%{version}/manual
rmdir %{buildroot}%{_docdir}/%{name}-%{version}/manual/html

mkdir -p %{buildroot}%{_datadir}/%{name}
tar -xf %{SOURCE1} -C %{buildroot}%{_datadir}/%{name}
desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications %{SOURCE2}

# Add icon
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/128x128/apps
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/128x128/mimetypes
install -cpm 0644 %{name}_logo.png \
	%{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
install -cpm 0644 %{name}_logo.png \
	%{buildroot}%{_datadir}/icons/hicolor/128x128/mimetypes/application-x-%{name}-project.png

# Add mimeinfo
mkdir -p %{buildroot}%{_datadir}/mime/packages
install -cpm 0644 %{SOURCE3} %{buildroot}%{_datadir}/mime/packages/%{name}.xml

%find_lang %{name} --with-qt --without-mo

%post
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null ||:
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations
%dir %{_docdir}/%{name}-%{version}
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}/colormaps
%{_datadir}/%{name}/qti*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/icons/hicolor/*/mimetypes/*
%{_datadir}/mime/packages/*
%{_docdir}/%{name}-%{version}/README.html
%{_docdir}/%{name}-%{version}/gpl_licence.txt
%{_mandir}/man1/%{name}.1*

%files doc
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}/manual

%changelog
* Fri Sep 03 2010 Chen Lei <supercyper@163.com> - 0.9.8.2-1
- upstream to 0.9.8.2

* Fri Aug 27 2010 Chen Lei <supercyper@163.com> - 0.9.8.1-1
- upstream to 0.9.8.1

* Tue Jul 27 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.9.8-3
- rebuild (python27)

* Wed Jun 30 2010 Chen Lei <supercyper@163.com> - 0.9.8-2
- add missing translation files

* Wed Jun 30 2010 Chen Lei <supercyper@163.com> - 0.9.8-1
- upstream to 0.9.8
- remove some patches 

* Thu Apr 22 2010 Chen Lei <supercyper@163.com> - 0.9.7.14-1
- upstream to 0.9.7.14

* Thu Mar 18 2010 Chen Lei <supercyper@163.com> - 0.9.7.13-1
- upstream to 0.9.7.13
- remove ldconfig in scripts
- add mimetype icons

* Tue Feb 09 2010 Chen Lei <supercyper@163.com> - 0.9.7.12-1
- upstream to 0.9.7.12
- rename all patches

* Sat Feb 06 2010 Frank Büttner <frank-buettner@gmx.net> - 0.9.7.11-5
- add mising file to mock

* Wed Feb  3 2010 Chen Lei <supercyper@163.com> - 0.9.7.11-4
- enable importing of ODF spreadsheet files

* Fri Jan 29 2010 Chen Lei <supercyper@163.com> - 0.9.7.11-3
- fixed desktop mime field

* Fri Jan 29 2010 Chen Lei <supercyper@163.com> - 0.9.7.11-2
- add mime-info

* Sat Jan 23 2010 Chen Lei <supercyper@163.com> - 0.9.7.11-1
- upstream to 0.9.7.11

* Sat Jan 10 2009 Frank Büttner <frank-buettner@gmx.net> - 0.9.7.4-8
- fix dos2unix

